function atualizaCEP(cep) {
    ajax = ajaxInit();
    if(ajax) {
        ajax.open("GET", "../lib/enderecoCep.php?cep=" + cep, true);
        ajax.onreadystatechange = function() {
            document.body.style.cursor = 'wait';  
            if(ajax.readyState == 4) {
			   if(ajax.responseXML) {
				  cepXML(ajax.responseXML);                 
				  document.body.style.cursor = 'default';
			   }			  
            }
        }
		ajax.send(null);
    }
    return false;
}

function cepXML(obj){
    var dataArray   = obj.getElementsByTagName("cep");
    if(dataArray.length > 0) {
        for(var i = 0 ; i < dataArray.length ; i++) {
            var cep 		= dataArray[i];
			var cnae  		= '';
			var nome  		= '';
			var telefone  	= '';
			var complemento = '';
			var cidade    	= '';
			var endereco  	= '';
			var atividade	= '';
			var empresa_cep	= '';
			var numero   	= '';
			var bairro    	= '';
			var empresa_uf  = '';
			

			if (cep.getElementsByTagName("nome")[0].firstChild) {
                nome    =  cep.getElementsByTagName("nome")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("cnae")[0].firstChild) {
                cnae    =  cep.getElementsByTagName("cnae")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("telefone")[0].firstChild) {
                telefone    =  cep.getElementsByTagName("telefone")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("cidade")[0].firstChild)  {
	            cidade    =  cep.getElementsByTagName("cidade")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("endereco")[0].firstChild)  {
                endereco  =  cep.getElementsByTagName("endereco")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("numero")[0].firstChild) {
                numero    =  cep.getElementsByTagName("numero")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("bairro")[0].firstChild) {
                bairro    =  cep.getElementsByTagName("bairro")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("complemento")[0].firstChild) {
                complemento    =  cep.getElementsByTagName("complemento")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("atividade")[0].firstChild) {
                atividade    =  cep.getElementsByTagName("atividade")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("empresa_cep")[0].firstChild) {
                empresa_cep    =  cep.getElementsByTagName("empresa_cep")[0].firstChild.nodeValue;
			}
			if (cep.getElementsByTagName("empresa_uf")[0].firstChild) {
                empresa_uf    =  cep.getElementsByTagName("empresa_uf")[0].firstChild.nodeValue;
			}

			document.getElementById("nome").value = nome;
			document.getElementById("cnae").value = cnae;
			document.getElementById("telefone").value = telefone;
			document.getElementById("cidade").value = cidade;
			document.getElementById("bairro").value = bairro;
			document.getElementById("endereco").value = endereco;
			document.getElementById("numero").value = numero;
			document.getElementById("complemento").value = complemento;
			document.getElementById("atividade").value = atividade;
			document.getElementById("empresa_cep").value = empresa_cep;
			document.getElementById("empresa_uf").value = empresa_uf;
			if (endereco == '' && bairro == '') {
				alert('CEP Único');
			}
        }
    }	
	else {
		document.getElementById("telefone").value = '';
		document.getElementById("complemento").value = '';
		document.getElementById("cidade").value = '';
		document.getElementById("bairro").value = '';
		document.getElementById("endereco").value = '';
		document.getElementById("numero").value = '';
		document.getElementById("atividade").value = '';
		document.getElementById("empresa_cep").value = '';
		document.getElementById("empresa_uf").value = '';
	}
}
